Fork me on GitHub"

# skbio.sequence.GeneticCode.from_ncbi

classmethod GeneticCode.from_ncbi(table_id=1)

  Return NCBI genetic code specified by table ID.

  State: Stable as of 0.4.0.

  Parameters:

    table_id (int, optional) – Table ID of the NCBI genetic code to return.

  Returns:

    NCBI genetic code specified by table_id.

  Return type:

    GeneticCode

  Notes

  The table IDs and genetic codes available in this method and used throughout the examples are defined in [1].

  References

  [1]

  http://www.ncbi.nlm.nih.gov/Taxonomy/Utils/wprintgc.cgi

  Examples

  Get the NCBI thraustochytrium mitochondrial genetic code (23):

      >>> tmgc = GeneticCode.from_ncbi(23)
      >>> tmgc.name
      'Thraustochytrium Mitochondrial'